/**
 * @brief 배너 형식으로 표시하기 위한 초기화 작업
 **/

var newsTickerMoveUpStep = new Array();
function doStartBannerScroll(id, itemHeight, speed, scrollRate, stop) {
	(function($){
		var pObj = $(id);
		var objectId = id.replace('#','');
		var childObj = $(id + ' ul:first-child');
		var stop = stop='Y'?true:false;
	
		while(childObj) {
			childObj.attr('id', objectId+'_first');
			var cloneObj = childObj.clone(true);
			cloneObj.attr('id', objectId+'_second');
			cloneObj.insertBefore(childObj);
		
			var ticker = {'pObj':$(id), 'child':childObj, 'itemHeight':itemHeight, 'speed':speed, 'scrollRate':scrollRate}
		
			newsTickerMoveUpStep[objectId] = 1;
		
			// 마우스 올리면 멈추기
			if(stop) {
				$(pObj).hover(function() {
					newsTickerMoveUpStep[objectId] = 0;
				}, function(){
					newsTickerMoveUpStep[objectId] = 1;
				});
			}
		
			doBannerScroll(ticker);
			return;
		}
		childObj = childObj.nextUntil();
	})(jQuery);
}
function doBannerScroll(obj) {
	if (typeof(obj.itemHeight) == 'undefined' || !obj.itemHeight) return;
	var scrollRate = parseInt(obj.scrollRate)?parseInt(obj.scrollRate):3500;
	var itemHeight = parseInt(obj.itemHeight)?parseInt(obj.itemHeight):25;
	var pObj = obj.pObj;
	var child = obj.child;
	var st = pObj.scrollTop();

	st += newsTickerMoveUpStep[pObj.attr('id')];

	if(st > child.height()) st = 0;
	pObj.scrollTop(st);
	
	if(pObj.scrollTop() % itemHeight == 0) setTimeout( function() { doBannerScroll(obj); }, scrollRate);
	else setTimeout( function() { doBannerScroll(obj); }, obj.speed );
}
